# URLs
DOMAIN = "example.com"
URL = f"https://{DOMAIN}"

# Access control
ALLOWED_HOSTS = ["127.0.0.1", DOMAIN]

# CSRF
CSRF_TRUSTED_ORIGINS = [URL]

# Stripe
STRIPE_TEST = True
STRIPE_API_KEY_TEST = ""
STRIPE_PUBLIC_API_KEY_TEST = ""

STRIPE_API_KEY_PROD = ""
STRIPE_PUBLIC_API_KEY_PROD = ""

STRIPE_ENDPOINT_SECRET = ""
STATIC_ROOT = ""
SECRET_KEY = "a"

STRIPE_ADMIN_COUPON = ""

DEBUG = True
PROFILER = False

if DEBUG:
    import socket  # only if you haven't already imported this

    hostname, _, ips = socket.gethostbyname_ex(socket.gethostname())
    INTERNAL_IPS = [ip[: ip.rfind(".")] + ".1" for ip in ips] + [
        "127.0.0.1",
        "10.0.2.2",
    ]
